Security updates available for Adobe Flash Player

Release date: June 10, 2014

Last updated: June 26, 2014

Vulnerability identifier: APSB14-16

Priority: See table below

CVE number: CVE-2014-0531, CVE-2014-0532, CVE-2014-0533, CVE-2014-0534, CVE-2014-0535, CVE-2014-0536

Platform: All Platforms

Summary

Adobe has released security updates for Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh and Adobe Flash Player 11.2.202.359 and earlier versions for Linux. These updates address vulnerabilities that could potentially allow an attacker to take control of the affected system. Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 14.0.0.125.
  • Users of Adobe Flash Player 11.2.202.359 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.378.
  • Adobe Flash Player 13.0.0.214 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 14.0.0.125 for Windows, Macintosh and Linux.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.0.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.1.
  • Users of the Adobe AIR 13.0.0.111 SDK and earlier versions should update to the Adobe AIR 14.0.0.110 SDK.
  • Users of the Adobe AIR 13.0.0.111 SDK & Compiler and earlier versions should update to the Adobe AIR 14.0.0.110 SDK & Compiler.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Android should update to Adobe AIR 14.0.0.110.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Windows and Macintosh should update to Adobe 14.0.0.110.

Affected software versions

  • Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh
  • Adobe Flash Player 11.2.202.359 and earlier versions for Linux
  • Adobe AIR 13.0.0.111 SDK and earlier versions
  • Adobe AIR 13.0.0.111 SDK & Compiler and earlier versions
  • Adobe AIR 13.0.0.111 and earlier versions for Android
  • Adobe AIR 13.0.0.111 and earlier versions for Windows and Macintosh

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu. If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh update to the newest version 14.0.0.125 by downloading it from the Adobe Flash Player Download Center, or via the update mechanism within the product when prompted.
  • Adobe recommends users of Adobe Flash Player 11.2.202.359 and earlier versions for Linux update to Adobe Flash Player 11.2.202.378 by downloading it from the Adobe Flash Player Download Center.
  • Adobe Flash Player 13.0.0.214 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 14.0.0.125 for Windows, Macintosh and Linux.
  • For users of Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 14.0.0.125, Adobe has made available Flash Player 13.0.0.223*, which can be downloaded from http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.0.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.1.
  • Users of the Adobe AIR 13.0.0.111 SDK should update to the Adobe AIR 14.0.0.110 SDK.
  • Users of the Adobe AIR 13.0.0.111 SDK & Compiler and earlier versions should update to the Adobe AIR 14.0.0.110 SDK & Compiler.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Android should update to Adobe AIR 14.0.0.110.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Windows and Macintosh should update to Adobe 14.0.0.110.

* Beginning May 13, 2014, Adobe Flash Player 13 for Mac and Windows replaced version 11.7 as the extended support version. Adobe recommends users upgrade to version 13 in order to continue to receive security updates.  See this blog post for further details. http://blogs.adobe.com/flashplayer/2014/03/upcoming-changes-to-flash-players-extended-support-release.html

Priority and severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installation to the newest version:

Product Updated version Platform Priority rating
Adobe Flash Player 14.0.0.125
Windows and Macintosh
1
  14.0.0.125
Internet Explorer 10 for Windows 8.0 1
  14.0.0.125
Internet Explorer 11 for Windows 8.1 1
  14.0.0.125
Chrome for Windows, Macintosh and Linux 1
  11.2.202.378 Linux 3
Adobe AIR 14.0.0.110 Windows, Macintosh and Android 3
Adobe AIR SDK and Compiler 14.0.0.110
Windows, Macintosh, Android and iOS 3
Adobe AIR SDK 14.0.0.110
Windows, Macintosh, Android and iOS
3

These updates address critical vulnerabilities in the software.

Details

Adobe has released security updates for Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh and Adobe Flash Player 11.2.202.359 and earlier versions for Linux. These updates address vulnerabilities that could potentially allow an attacker to take control of the affected system. Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 14.0.0.125.
  • Users of Adobe Flash Player 11.2.202.359 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.378.
  • Adobe Flash Player 13.0.0.214 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 14.0.0.125 for Windows, Macintosh and Linux.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.0.
  • Adobe Flash Player 13.0.0.214 installed with Internet Explorer 11 will automatically be updated to the latest Internet Explorer 11 version, which will include Adobe Flash Player 14.0.0.125 for Windows 8.1.
  • Users of the Adobe AIR 13.0.0.111 SDK and earlier versions should update to the Adobe AIR 14.0.0.110 SDK.
  • Users of the Adobe AIR 13.0.0.111 SDK & Compiler and earlier versions should update to the Adobe AIR 14.0.0.110 SDK & Compiler.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Android should update to Adobe AIR 14.0.0.110.
  • Users of Adobe AIR 13.0.0.111 and earlier versions for Windows and Macintosh should update to Adobe 14.0.0.110.

These updates resolve cross-site-scripting vulnerabilities (CVE-2014-0531, CVE-2014-0532, CVE-2014-0533).

These updates resolve security bypass vulnerabilities (CVE-2014-0534, CVE-2014-0535).

These updates resolve a memory corruption vulnerability that could result in arbitrary code execution (CVE-2014-0536).

Affected Software   Recommended Player Update Availability
Flash Player 13.0.0.214 and earlier versions for Windows and Macintosh   14.0.0.125 Flash Player Download Center
Flash Player 13.0.0.214 and earlier versions (network distribution)   14.0.0.125
Flash Player Licensing
Flash Player 11.2.202.359 and earlier for Linux   11.2.202.378 Flash Player Download Center
Flash Player 13.0.0.214 and earlier for Chrome (Windows, Macintosh and Linux)   14.0.0.125
Google Chrome Releases
Flash Player 13.0.0.214 and earlier in Internet Explorer 10 for Windows 8.0   14.0.0.125
Microsoft Security Advisory
Flash Player 13.0.0.214 and earlier in Internet Explorer 11 for Windows 8.1   14.0.0.125
Microsoft Security Advisory
AIR 13.0.0.111 SDK & Compiler and earlier versions   14.0.0.110 AIR SDK Download
AIR 13.0.0.111 SDK and earlier versions   14.0.0.110
AIR SDK Download
AIR 13.0.0.111 and earlier versions for Windows and Macintosh   14.0.0.110 AIR Download Center
AIR 13.0.0.111 and earlier versions for Android   14.0.0.110 Google Play

Acknowledgments

Adobe would like to thank the following individuals and organizations for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Erling Ellingsen of Facebook (CVE-2014-0531, CVE-2014-0532, CVE-2014-0533)
  • Masato Kinugawa and Joe Vennix from Rapid7 (CVE-2014-0534)
  • Bas Venis (CVE-2014-0535)
  • Leong Wai-Meng of Trend Micro (CVE-2014-0536)

Revisions

June 26, 2014 - Updated Acknowledgments section to reflect shared credit for CVE-2014-0534.